GET sms/templates

Base URL: https://backend.easify.app/api/v2


This endpoint is used to fetch SMS templates for sending SMS campaigns.

Users can create SMS templates in the Easify web app. Once a template is approved, it becomes available through this API.

This endpoint retrieves the user’s approved SMS templates for use in SMS campaigns.

The response is paginated. A limit parameter can be included in the request to specify the number of records per page. If not provided, the default value is 10.

There is a rate limit of 60 requests per minute. If you exceed this limit, you will receive a 429 Too Many Requests status, along with a message indicating when you can try again.

The authenticated user must have access to the SMS feature. Requests made without the proper feature permissions will receive a 490 status code response, indicating that a plan upgrade is required.

Authentication

The Easify API token used for authentication is passed in the header as a Bearer token, which can be obtained from the easify app under Settings > API Settings.

Headers

Authorization string required Bearer << YOUR_EASIFY_API_TOKEN_HERE >>

Query Parameters

limit integer Pagination for SMS Templates (Default :10, Max: 50) Optional

Sample Params and Success Response:

Params:

{
  "limit": 2
}

Success Response:

{
  "status": true,
  "message": "SMS Templates",
  "data": [
    {
      "id": 1450,
      "group_name": "Group 01",
      "name": "Template 01",
      "message": "This is test template. Reply STOP to opt-out.",
      "sms_type": "sms",
      "media_url": "",
      "created_at": "08-25-2025 04:40:31 AM"
    },
    {
      "id": 1452,
      "group_name": "Group 01",
      "name": "Template 02",
      "message": "This is test template 2. Reply STOP to opt-out.",
      "sms_type": "sms",
      "media_url": "",
      "created_at": "08-25-2025 04:40:31 AM"
    }
  ],
  "links": {
    "first": "https://backend.easify.app/api/v2/sms/templates?page=1",
    "last": "https://backend.easify.app/api/v2/sms/templates?page=21",
    "prev": null,
    "next": "https://backend.easify.app/api/v2/sms/templates?page=2"
  },
  "meta": {
    "current_page": 1,
    "from": 1,
    "last_page": 21,
    "links": [
      {
        "url": null,
        "label": "« Previous",
        "active": false
      },
      {
        "url": "https://backend.easify.app/api/v2/sms/templates?page=1",
        "label": "1",
        "active": true
      },
      {
        "url": "https://backend.easify.app/api/v2/sms/templates?page=2",
        "label": "2",
        "active": false
      }
    ],
    "path": "https://backend.easify.app/api/v2/sms/templates",
    "per_page": 2,
    "to": 2,
    "total": 42
  }
}
Easify DNC Registry and chat block will not prevent sending SMS; they only block blacklisted numbers

Api Response Status

Case Status Code Response
If the user provides an invalid Easify API token or does not pass the Easify API token in the header. 401 { "status":false, "message":"Unauthenticated", "errors":[] }
If the user exceeds the allowed rate limit for requests 429 { "status":false, "message":"Too many requests. Try again in 59 seconds", "errors":[] }
If the user's subscription has ended 402 { "status":false,"message":"You need to recharge your account to proceed","errors":[] }
When the user account is inactive 403 { "status": false, "message": "Your account is currently inactive.", "errors": [] }

Code Examples

Fetch SMS templates
php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => 'https://backend.easify.app/api/v2/sms/templates?limit=2',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_CUSTOMREQUEST => 'GET',
  CURLOPT_HTTPHEADER => [
    'Authorization: Bearer <>',
    'Accept: application/json',
  ],
]);

$response = curl_exec($curl);
curl_close($curl);

echo $response;

pixel for linkedin